let
  baseUrl = "hydra.fancyTypist.com";
  HOST = "localhost";
  PORT = "5567";
in
{
  services.hydra = {
    enable = true;
    hydraURL = "http://${HOST}:${PORT}";
    notificationSender = "hydra@localhost";
    buildMachinesFiles = [ ];
    useSubstitutes = true;
  };

  services.caddy = {
    enable = true;
    virtualHosts = {
      "${baseUrl}" = {
        extraConfig = ''
          reverse_proxy ${HOST}:${PORT}
        '';
      };
    };
  };
}
